name: uuid
description: "Download a file from a URL."
inputs:
  additionalArgs:
    description: "Additional arguments to pass in."
    required: false
outputs:
  uuid:
    description: "The unique identifier output."
    value: ${{ steps.uuid.outputs.console }}
runs:
  using: "composite"
  steps:
  - name: "Download file."
    id: uuid
    uses: act/common/distros/rockylinux@master
    with:
      args: uuid ${{ inputs.additionalArgs }}